Skip to content
Docs
Installs

Get a specific zone install

Get a specific zone install

client.Zones.Installs.Get(ctx, installID, params) (*Install, error)
GET/zones/{zone_id}/installs/{install_id}

Get a specific zone install

ParametersExpand Collapse
installID string
maxLength26
params ZoneInstallGetParams
ZoneID param.Field[string]

Path param

XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type Install struct{…}
ID string
CreatedAt Time
formatdate-time
PackageID string
PackageSlug string
Accepts one of the following:
const InstallStatusPending InstallStatus = "pending"
const InstallStatusActive InstallStatus = "active"
const InstallStatusDeleting InstallStatus = "deleting"
const InstallStatusFailed InstallStatus = "failed"
const InstallStatusDeleted InstallStatus = "deleted"
UpdatedAt Time
formatdate-time
Inputs map[string, any]optional

Install-specific input values that supplement the package's inputs. Merged with the package's input values to form the complete entities.inputs for entity binding evaluation.

OrgID stringoptional
Outputs map[string, any]optional

Resolved output values produced by the provisioner, conforming to the package's Package.outputs.schema. Flat — the provisioner evaluates Package.outputs.bindings against the resolved entity graph.

PackageVersion int64optional
ZoneID stringoptional

Get a specific zone install

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  install, err := client.Zones.Installs.Get(
    context.TODO(),
    "install_id",
    keycard.ZoneInstallGetParams{
      ZoneID: "zone_id",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", install.ID)
}
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "package_id": "package_id",
  "package_slug": "package_slug",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "inputs": {
    "client_id": "bar",
    "client_secret": "bar"
  },
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "org_id": "org_id",
  "outputs": {
    "mcp_url": "bar"
  },
  "package_version": 0,
  "zone_id": "zone_id"
}
Returns Examples
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "package_id": "package_id",
  "package_slug": "package_slug",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "inputs": {
    "client_id": "bar",
    "client_secret": "bar"
  },
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "org_id": "org_id",
  "outputs": {
    "mcp_url": "bar"
  },
  "package_version": 0,
  "zone_id": "zone_id"
}